#pragma once

#include <Figment.h>
#include <vector>

class Sequencer: public Task {
public:

    class Scene {
      public:
        const char* name;
        std::vector<const char*> patterns;
        void start();
        void stop();
    };

    Sequencer();

    void loop() override;
    void onStart() override;
    void handleEvent(const InputEvent& evt) override;
    void setScenes(std::vector<Scene> &&scenes);

    const char* currentSceneName();
    const std::vector<Scene> scenes() const;

private:
    int m_idx;
    std::vector<Scene> m_scenes;
};
